namespace WK5.Core
{
    public class KarleyLanguageManager : FluentValidation.Resources.LanguageManager
    {
        /// <summary>
        /// Fügt deutsche Sprache für Custom FluentValidators von uns hinzu
        /// </summary>
        public KarleyLanguageManager()
        {
            AddTranslation("de", "EncodingValidator", "'{PropertyName}' enthält ungültige Zeichen: '{UnavailableCharacters}'.");
            AddTranslation("de", "PhoneValidator", "'{PropertyName}' ist keine gültige Telefonnummer.");
            AddTranslation("de", "UrlValidator", "'{PropertyName}' ist keine gültige Url.");
            AddTranslation("de", "UstidValidator", "'{PropertyName}' ist keine gültige Umsatzsteuer Id.");
            AddTranslation("de", "IBANValidator", "'{PropertyName}' ist keine gültige IBAN.");
            AddTranslation("de", "BICValidator", "'{PropertyName}' ist keine gültige BIC.");
        }
    }

}
